gnustep-gui (0.32.0-5) unstable; urgency=medium

  * debian/patches/cross.patch: New; fix FTCBFS (Closes: #1094879).
  * debian/salsa-ci.yml: New file; extend the standard recipe to test the
    cross, nocheck and nodoc build profiles.
  * debian/templates/control.m4 (Build-Depends): Switch to debhelper
    compat level 14.
    (Depends): Remove ${misc:Depends} and ${shlibs:Depends}.
    (Priority): Remove; redundant.
    (Standards-Version): Claim compliance with 4.7.4.
  * debian/control: Regenerate.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 27 Jun 2026 22:09:59 +0300

gnustep-gui (0.32.0-4) unstable; urgency=medium

  * debian/templates/control.m4 (Build-Depends): Replace
    libmagickcore-7.q16-dev with libmagickcore-dev to make future
    imagemagick transitions easier.  The graphicsmagick -compat packages
    are gone so cannot be accidentally installed.
    (Rules-Requires-Root): Remove; redundant.
    (gnustep-gui-common) <Breaks, Replaces>: Remove; obsolete.
  * debian/control: Regenerate.
  * debian/tests/control (Depends): Use virtual gnustep-back-headless.
  * debian/templates/tests-control.m4: Delete.
  * debian/rules (override_dh_testdir): Don't create tests/control.
  * debian/watch: Upgrade to version 5.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 18 Nov 2025 08:18:45 +0200

gnustep-gui (0.32.0-3) unstable; urgency=medium

  * debian/tests/testsuite: Set ADDITIONAL_INCLUDE_DIRS and use local
    headers; one new test imports a private header so the build fails.
  * debian/patches/tests-system-headers.patch: Delete.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 01 Mar 2025 06:21:44 +0200

gnustep-gui (0.32.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 11:51:53 +0200

gnustep-gui (0.32.0-1) experimental; urgency=medium

  * New upstream release:
    + SONAME change: libgnustep-gui0.31 -> 0.32.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.31.
    (override_dh_auto_configure): Remove --disable-icu-config; option gone.
  * debian/templates/control.m4 (libgnustep-gui`'SOV_GUI) <Breaks>: Remove
    gnustep-back`'SOV_GUI (<< 0.31.0-5); no longer needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/tests/control: Likewise.
  * debian/patches/build-fix.patch: Refresh.
  * debian/patches/tests-main-return.patch: Delete; present upstream.
  * debian/patches/test-GSXib5KeyedUnarchiver-menu.patch: Likewise.
  * debian/source/lintian-overrides: New file; override lintian W:
    autotools-pkg-config-macro-not-cross-compilation-safe, false positive.
  * debian/copyright: Add general comment about the outdated license
    notices.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Feb 2025 16:14:12 +0200

gnustep-gui (0.31.1-10) unstable; urgency=medium

  * debian/templates/control.m4 (libgnustep-gui`'SOV_GUI) <Breaks>: Add
    gnustep-dl2 (<< 0.12.0+git20171224-4) to assist britney.
  * debian/control: Regenerate.
  * debian/upstream/metadata: Add missing marker.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 13:48:37 +0200

gnustep-gui (0.31.1-9) unstable; urgency=medium

  * debian/tests/file-tests: Update for multiarch.
  * debian/rules (v_base): Bump to 1.30.0-12; the testsuite autopkgtest
    will fail with older versions.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Jan 2025 14:47:23 +0200

gnustep-gui (0.31.1-8) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/rules (execute_before_dh_link): Move dh_gnustep
    --remaining-packages invocation within the conditional.
  * debian/templates/control.m4 (libgnustep-gui-dev) <Recommends>: Promote
    gnustep-gui-doc from Suggests.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 07:36:00 +0200

gnustep-gui (0.31.1-7) experimental; urgency=medium

  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.30.0-10 for multiarch support.
    (execute_before_dh_link): Pass -p$(p_run) to dh_gnustep when doing a
    full build to ensure that the symlinks are created there.
  * debian/templates/control.m4 (Build-Depends): Drop gnustep-make; the
    required gnustep-base version already depends on 2.9.2-5.
    (gnustep-gui-common, gnustep-gui-runtime): Set Multi-Arch: foreign.
    (libgnustep-gui`'SOV_GUI): Set Multi-Arch: same.
    <Breaks>: Add gnustep-back`'SOV_GUI (<< 0.31.0-5) to ensure that they
    are upgraded together with multiarch-based -back.  Failing that, all
    apps will die with exception for not being able to load the backend.
    (libgnustep-gui-dev): Set Multi-Arch: same.
  * debian/control: Regenerate.
  * debian/gnustep-gui-common.install: Update for multiarch.
  * debian/gnustep-gui-runtime.install: Likewise.
  * debian/libgnustep-gui-dev.install: Likewise.
  * debian/templates/libgnustep-guiN.install.in: Likewise.
  * debian/not-installed: Likewise (Closes: #1093950).
  * debian/gnustep-gui-doc.lintian-overrides: Delete; lintian got fixed.
  * debian/upstream/metadata: New file.
  * debian/watch: Remove pasv option; we no longer use FTP.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 25 Jan 2025 13:23:00 +0200

gnustep-gui (0.31.1-6) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/templates/control.m4 (Build-Depends): Replace
    libmagickcore-6.q16-dev with libmagickcore-7.q16-dev (Closes: #1086562).
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 02 Nov 2024 09:19:26 +0200

gnustep-gui (0.31.1-5) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Stop generating files with
    constant names from templates with variables having constant values.
    Do not involve sed where a simple copy operation is sufficient.
    (override_dh_install): Remove override.  All stamp.make files are
    automatically deleted by dh_gnustep now.
    (execute_before_dh_link): New target; run dh_gnustep.
    (override_dh_fixperms): Remove; automatically generated .desktop files
    are deleted by dh_gnustep now.
    (DEBIAN_GNUSTEP_PIXMAPS, DEBIAN_GNUSTEP_SOUNDS)
    (DEBIAN_GNUSTEP_USRSHARE): No longer define.
  * debian/templates/control.m4 (Build-Depends): Add gnustep-make
    (>= 2.9.2-4) for dh_gnustep's --bundle-dir.  Replace libmagickcore-dev
    with libmagickcore-6.q16-dev.
    (gnustep-gui-common): Add appropriate Breaks/Replaces on
    gnustep-gui-runtime as some files are moved.
  * debian/control: Regenerate.
  * debian/templates/gnustep-gui-common.install.in: Rename as...
  * debian/gnustep-gui-common.install: ...since generating it is
    pointless.  Don't install in /usr/share; let dh_gnustep do its job.
  * debian/templates/gnustep-gui-runtime.install.in: Rename as...
  * debian/gnustep-gui-runtime.install: ...as above.  Skip Resources for
    apps and ColorPickers as they are being moved by dh_gnustep.
  * debian/templates/libgnustep-gui-dev.install.in: Rename as...
  * debian/libgnustep-gui-dev.install: ...as above.
  * debian/templates/gnustep-gui-runtime.links.in: Delete; no point to
    make links for the images as we now move the whole Resources.
  * debian/templates/gnustep-gui-doc.install.in: Replace @GS_DOC@.
  * debian/templates/libgnustep-guiN.install.in: Replace @GS_LIBS@.
  * debian/templates/libgnustep-guiN.maintscript.in: Delete; not needed.
  * debian/clean: Remove files that are no longer generated.
  * debian/tests/adequate: New test.
  * debian/templates/tests-control.m4 (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/tests/control: Regenerate.
  * debian/watch: Use HTTPS protocol.
  * debian/gnustep-gui-doc.lintian-overrides: New file; override
    package-contains-documentation-outside-usr-share-doc (too much noise).
  * debian/fix.scanned.copyright: Delete; unused these days.
  * debian/fill.copyright.blanks.yml: Likewise.
  * debian/copyright-scan-patterns.yml: Likewise.
  * debian/source/local-options: Delete; I can't see any benefit.
  * debian/copyright: Switch main license to LGPL-2.1+; this has been done
    upstream a long time ago although most license statements are still
    not updated.  Remove redundant stanzas.  Add GPL-3+ with Bison-2.2
    exception for TextConverters/RTF/rtfGrammar.tab.*.  Add FSFAP stanza
    for files under this license and FSFAP text.  Remove GPL-2+, LGPL-2+
    and LGPL-3+; add LGPL-2.1+.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Aug 2024 22:27:39 +0300

gnustep-gui (0.31.1-4) unstable; urgency=medium

  * debian/templates/tests-control.m4: New file; generate
    debian/tests/control from it so that it includes dependency
    gnustep-back$(sov_gui)-headless in order to run all tests.
  * debian/rules (override_dh_testdir): Add command to generate
    debian/tests/control.
    (v_base): Bump to 1.30.0-3 for the autogsdoc reproducibility fix.
  * debian/tests/control: Regenerate.
  * debian/control: Likewise.
  * debian/patches/tests-system-headers.patch: New; use system headers
    when the testsuite is being run as autopkgtest, compilation of the
    GSXib5KeyedUnarchiver tests fails otherwise.
  * debian/patches/test-GSXib5KeyedUnarchiver-menu.patch: New; fix typo in
    a method name causing the test to fail.
  * debian/tests/testsuite: Define ADDITIONAL_CPPFLAGS, fix location of
    tests.log in case of failure.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Jun 2024 16:04:41 +0300

gnustep-gui (0.31.1-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 Jun 2024 14:24:33 +0300

gnustep-gui (0.31.1-2) experimental; urgency=medium

  * debian/rules (override_dh_shlibdeps): Remove gnustep-back$(sov_gui)
    version requirement as it leads to a wrong dependency when -back is a
    subminor version behind -gui -- e.g., gnustep-back0.31 (>= 0.31.1).
    Bug introduced with commit 2f54141 on 2017-09-23.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 12 Jun 2024 09:43:39 +0300

gnustep-gui (0.31.1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * debian/patches/NSMenuItem-encoding.patch: Delete; applied upstream.
  * debian/patches/NSButtonCell-encoding.patch: Likewise.
  * debian/patches/NSMenuItem-nib-loading.patch: Likewise.
  * debian/patches/tests-main-return.patch: Add additional portability
    fixes that were made upstream.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Jun 2024 11:53:43 +0300

gnustep-gui (0.31.0-2) experimental; urgency=medium

  * debian/patches/NSMenuItem-encoding.patch: Replace with the proper fix
    that was committed upstream.
  * debian/patches/tests-main-return.patch: New; fix testsuite failure on
    a bunch of architectures (basically all except x86 and mips64el).

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Jun 2024 09:01:09 +0300

gnustep-gui (0.31.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.30.
  * debian/control: Regenerate to reflect the SONAME change.
  * debian/patches/NSSound-header.patch: Delete; applied upstream.
  * debian/patches/build-fix.patch: Remove hunks applied upstream.
    Refresh.  Mark as Debian-specific.
  * debian/patches/NSButtonCell-encoding.patch: New; fix testsuite
    failure (taken from upstream).
  * debian/patches/NSMenuItem-nib-loading.patch: New; fix a decoding issue
    that breaks nib loading (from upstream).
  * debian/patches/NSMenuItem-encoding.patch: New; fix testsuite failure.
  * debian/not-installed: New file; don't install the .pc file as it
    triggers many lintian errors (pkg-config-bad-directive).
  * debian/clean: Add gnustep-gui.pc.
  * debian/templates/control.m4 (Uploaders): Change Gürkan's name to Alex.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Jun 2024 07:47:33 +0300

gnustep-gui (0.30.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/build-fix.patch: Fix doc build by defining
    APPKIT_EXPORT_CLASS to the empty string.
  * debian/patches/NSSound-header.patch: Mark as Applied-Upstream.
  * debian/templates/control.m4 (Build-Depends): Enable architectures
    where pocketsphinx is now available: mips64el, mipsel, alpha, ia64.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Jun 2023 08:52:48 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnustep-gui-doc`.
